#ifndef NETWORKRULE_H_
#define NETWORKRULE_H_

#include "networks/wiredbas/WiredBasImplementation.h"
#include "networks/wiredbas/WiredBasSpecificaion.h"

namespace cosi {

namespace rules {

namespace wiredbas {

class NetworkRule {
public:
	NetworkRule();
	virtual ~NetworkRule();
	virtual bool Satisfies(cosi::commstruct::wiredbas::Specification* pSpec, cosi::commstruct::wiredbas::Implementation pC) = 0;
	virtual bool Satisfies(cosi::commstruct::wiredbas::Specification* pSpec, cosi::commstruct::wiredbas::Implementation* pC) = 0;
};

}

}

}

#endif /*NETWORKRULE_H_*/
